OpenVDB: IncompleteCholeskyPreconditioner< MatrixType > Class Template Reference

OpenVDB 3.1.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Classes | Public Types | Public Member Functions | List of all members
IncompleteCholeskyPreconditioner< MatrixType > Class Template Reference

Preconditioner using incomplete Cholesky factorization. More...

`#include <ConjGradient.h>`

Inherits Preconditioner< MatrixType::ValueType >.

## Public Types
typedef MatrixType::ValueType | ValueType
typedef Preconditioner< ValueType > | BaseType
typedef Vector< ValueType > | VectorType
typedef boost::shared_ptr< IncompleteCholeskyPreconditioner > | Ptr
typedef SparseStencilMatrix< ValueType, 4 > | TriangularMatrix
typedef TriangularMatrix::ConstRow | TriangleConstRow
typedef TriangularMatrix::RowEditor | TriangleRowEditor

## Public Member Functions
| IncompleteCholeskyPreconditioner (const MatrixType &matrix)
virtual | ~IncompleteCholeskyPreconditioner ()
virtual bool | isValid () const
virtual void | apply (const Vector< ValueType > &rVec, Vector< ValueType > &zVec)
| Apply this preconditioner to a residue vector: z = M−1r More...
const TriangularMatrix & | lowerMatrix () const
const TriangularMatrix & | upperMatrix () const

## Detailed Description

### template<typename MatrixType>
class openvdb::v3_1_0::math::pcg::IncompleteCholeskyPreconditioner< MatrixType >

Preconditioner using incomplete Cholesky factorization.

## Member Typedef Documentation

typedef Preconditioner<ValueType> BaseType

typedef boost::shared_ptr<IncompleteCholeskyPreconditioner> Ptr

typedef TriangularMatrix::ConstRow TriangleConstRow

typedef TriangularMatrix::RowEditor TriangleRowEditor

typedef SparseStencilMatrix<ValueType, 4> TriangularMatrix

typedef MatrixType::ValueType ValueType

typedef Vector<ValueType> VectorType

## Constructor & Destructor Documentation

IncompleteCholeskyPreconditioner | ( | const MatrixType & | matrix | ) |
| inline

virtual ~IncompleteCholeskyPreconditioner | ( |  | ) |
| inlinevirtual

## Member Function Documentation

virtual void apply | ( | const Vector< ValueType > & | r,
|  | Vector< ValueType > & | z
| ) |  |
| inlinevirtual

Apply this preconditioner to a residue vector: z = M−1r

Parameters

  | r | residue vector
  [out] | z | preconditioned residue vector

Implements Preconditioner< MatrixType::ValueType >.

virtual bool isValid | ( |  | ) | const
| inlinevirtual

Reimplemented from Preconditioner< MatrixType::ValueType >.

const TriangularMatrix& lowerMatrix | ( |  | ) | const
| inline

const TriangularMatrix& upperMatrix | ( |  | ) | const
| inline

The documentation for this class was generated from the following file:

- ConjGradient.h